Enroll a ConnectedRuntime for an Agent
curl --request POST \
--url https://api.checkfu.com/v1/connected-runtime-enrollments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"name": "<string>",
"agent": "<string>",
"environment_id": "<string>"
}
'import requests
url = "https://api.checkfu.com/v1/connected-runtime-enrollments"
payload = {
"name": "<string>",
"agent": "<string>",
"environment_id": "<string>"
}
headers = {
"checkfu-version": "<checkfu-version>",
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', agent: '<string>', environment_id: '<string>'})
};
fetch('https://api.checkfu.com/v1/connected-runtime-enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/connected-runtime-enrollments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'agent' => '<string>',
'environment_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/connected-runtime-enrollments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"agent\": \"<string>\",\n \"environment_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/connected-runtime-enrollments")
.header("checkfu-version", "<checkfu-version>")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"agent\": \"<string>\",\n \"environment_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/connected-runtime-enrollments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"agent\": \"<string>\",\n \"environment_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"runtime": {
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"harness": "<string>",
"protocol": "acp-v1",
"agent_placement_id": "<string>",
"collaboration_space_id": "<string>",
"owner_principal_id": "<string>",
"state": "active",
"version": 123,
"created_at": "<string>",
"updated_at": "<string>",
"revoked_at": "<string>",
"attestation_key": {
"algorithm": "Ed25519",
"version": 123,
"public_key": "<string>"
}
},
"token": "<string>",
"external_installation": {
"id": "<string>",
"workspace_id": "<string>",
"provider": "<string>",
"external_tenant_id": "<string>",
"display_name": "<string>",
"state": "active",
"version": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"collaboration_space": {
"id": "<string>",
"workspace_id": "<string>",
"external_installation_id": "<string>",
"external_id": "<string>",
"visibility": "public",
"membership": "public",
"inheritance": "inherit",
"display_name": "<string>",
"state": "active",
"verified_member": {
"principal_id": "<string>",
"external_identity_link_id": "<string>",
"paired_at": "<string>"
},
"membership_assertion": {
"asserted_at": "<string>",
"freshness_horizon_seconds": 43230
},
"ambient_policy": {
"enabled": true,
"muted": true,
"max_responses_per_window": 1,
"max_tokens_per_window": 1,
"self_quiet_threshold": 1,
"check": {
"evaluation": {
"schema_version": 1,
"model_routing_profile_key": "<string>",
"questions": [
{
"key": "<string>",
"type": "boolean",
"instructions": "<string>",
"true_description": "<string>",
"false_description": "<string>"
}
],
"tier": "default",
"timeout_ms": 15050
},
"rule": {
"type": "boolean",
"question_key": "<string>",
"expected": true,
"false_max": 0.5,
"true_min": 0.5
}
},
"context": {
"mode": "current_message",
"require_history": true,
"agent_remit": "<string>"
}
},
"version": 123,
"created_at": "<string>",
"updated_at": "<string>",
"kind": "root",
"parent_id": null
},
"agent_placement": {
"id": "<string>",
"workspace_id": "<string>",
"external_installation_id": "<string>",
"agent": {
"type": "agent",
"id": "<string>",
"version": 123
},
"acted_as": "<string>",
"identity_posture": "delegated",
"collaboration_space_ids": [
"<string>"
],
"environment_id": "<string>",
"harness": "<string>",
"state": "active",
"version": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"service_principal": {
"id": "<string>",
"workspace_id": "<string>",
"external_subject_id": "<string>",
"principal_type": "person",
"display_name": "<string>",
"attributes": {},
"status": "active",
"resource_version": 4503599627370495,
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Enroll a ConnectedRuntime for an Agent
Enrolls an operator-controlled, already-running harness in one call: name the Agent and optional version policy, and the control plane creates the…
POST
/
v1
/
connected-runtime-enrollments
Enroll a ConnectedRuntime for an Agent
curl --request POST \
--url https://api.checkfu.com/v1/connected-runtime-enrollments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"name": "<string>",
"agent": "<string>",
"environment_id": "<string>"
}
'import requests
url = "https://api.checkfu.com/v1/connected-runtime-enrollments"
payload = {
"name": "<string>",
"agent": "<string>",
"environment_id": "<string>"
}
headers = {
"checkfu-version": "<checkfu-version>",
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', agent: '<string>', environment_id: '<string>'})
};
fetch('https://api.checkfu.com/v1/connected-runtime-enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/connected-runtime-enrollments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'agent' => '<string>',
'environment_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/connected-runtime-enrollments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"agent\": \"<string>\",\n \"environment_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/connected-runtime-enrollments")
.header("checkfu-version", "<checkfu-version>")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"agent\": \"<string>\",\n \"environment_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/connected-runtime-enrollments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"agent\": \"<string>\",\n \"environment_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"runtime": {
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"harness": "<string>",
"protocol": "acp-v1",
"agent_placement_id": "<string>",
"collaboration_space_id": "<string>",
"owner_principal_id": "<string>",
"state": "active",
"version": 123,
"created_at": "<string>",
"updated_at": "<string>",
"revoked_at": "<string>",
"attestation_key": {
"algorithm": "Ed25519",
"version": 123,
"public_key": "<string>"
}
},
"token": "<string>",
"external_installation": {
"id": "<string>",
"workspace_id": "<string>",
"provider": "<string>",
"external_tenant_id": "<string>",
"display_name": "<string>",
"state": "active",
"version": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"collaboration_space": {
"id": "<string>",
"workspace_id": "<string>",
"external_installation_id": "<string>",
"external_id": "<string>",
"visibility": "public",
"membership": "public",
"inheritance": "inherit",
"display_name": "<string>",
"state": "active",
"verified_member": {
"principal_id": "<string>",
"external_identity_link_id": "<string>",
"paired_at": "<string>"
},
"membership_assertion": {
"asserted_at": "<string>",
"freshness_horizon_seconds": 43230
},
"ambient_policy": {
"enabled": true,
"muted": true,
"max_responses_per_window": 1,
"max_tokens_per_window": 1,
"self_quiet_threshold": 1,
"check": {
"evaluation": {
"schema_version": 1,
"model_routing_profile_key": "<string>",
"questions": [
{
"key": "<string>",
"type": "boolean",
"instructions": "<string>",
"true_description": "<string>",
"false_description": "<string>"
}
],
"tier": "default",
"timeout_ms": 15050
},
"rule": {
"type": "boolean",
"question_key": "<string>",
"expected": true,
"false_max": 0.5,
"true_min": 0.5
}
},
"context": {
"mode": "current_message",
"require_history": true,
"agent_remit": "<string>"
}
},
"version": 123,
"created_at": "<string>",
"updated_at": "<string>",
"kind": "root",
"parent_id": null
},
"agent_placement": {
"id": "<string>",
"workspace_id": "<string>",
"external_installation_id": "<string>",
"agent": {
"type": "agent",
"id": "<string>",
"version": 123
},
"acted_as": "<string>",
"identity_posture": "delegated",
"collaboration_space_ids": [
"<string>"
],
"environment_id": "<string>",
"harness": "<string>",
"state": "active",
"version": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"service_principal": {
"id": "<string>",
"workspace_id": "<string>",
"external_subject_id": "<string>",
"principal_type": "person",
"display_name": "<string>",
"attributes": {},
"status": "active",
"resource_version": 4503599627370495,
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Required string length:
1 - 255Body
application/json
Response
Success
Show child attributes
Show child attributes
Maximum string length:
180Pattern:
^cfu_connector_wrkspc_[0-9a-f]{32}\.crt_[0-9a-f]{32}\.[A-Za-z0-9_-]{43}$Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
One Workspace Principal and its public identity attributes.
Show child attributes
Show child attributes